Summary: Kernel oops and error message decoder
Name: ksymoops
Version: 2.4.0
Release: 3
Copyright: GPL
Group: System Environment/Kernel
Source: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/ksymoops-%{version}.tar.bz2
Patch: ksymoops-version.patch
Patch1: ksymoops-2.4.0-redhat.patch
ExclusiveOS: Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: kernel-utils

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup
%patch -p1
%patch1 -p1
%build
CFLAGS="$RPM_OPT_FLAGS" make all

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALL_MANDIR=$RPM_BUILD_ROOT/%{_mandir} \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root)/usr/bin/ksymoops
%attr(644,root,root)%{_mandir}/man8/ksymoops.8*
%attr(-,root,root) %doc COPYING README INSTALL Changelog

%changelog
* Fri Feb 16 2001 Bill Nottingham <notting@redhat.com>
- tweak defaults (#27650)
- fix the dates in the RPM changelog

* Wed Jan 17 2001 Bill Nottingham <notting@redhat.com>
- tweak version

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- package this separately from the kernel, hack up included spec file
